hyperspy._components package
============================

Submodules
----------

hyperspy._components._template module
-------------------------------------

.. automodule:: hyperspy._components._template
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.arctan module
----------------------------------

.. automodule:: hyperspy._components.arctan
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.bleasdale module
-------------------------------------

.. automodule:: hyperspy._components.bleasdale
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.eels_cl_edge module
----------------------------------------

.. automodule:: hyperspy._components.eels_cl_edge
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.eels_double_offset module
----------------------------------------------

.. automodule:: hyperspy._components.eels_double_offset
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.eels_double_power_law module
-------------------------------------------------

.. automodule:: hyperspy._components.eels_double_power_law
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.eels_vignetting module
-------------------------------------------

.. automodule:: hyperspy._components.eels_vignetting
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.error_function module
------------------------------------------

.. automodule:: hyperspy._components.error_function
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.exponential module
---------------------------------------

.. automodule:: hyperspy._components.exponential
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.gaussian module
------------------------------------

.. automodule:: hyperspy._components.gaussian
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.logistic module
------------------------------------

.. automodule:: hyperspy._components.logistic
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.lorentzian module
--------------------------------------

.. automodule:: hyperspy._components.lorentzian
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.offset module
----------------------------------

.. automodule:: hyperspy._components.offset
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.pes_core_line_shape module
-----------------------------------------------

.. automodule:: hyperspy._components.pes_core_line_shape
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.pes_see module
-----------------------------------

.. automodule:: hyperspy._components.pes_see
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.polynomial module
--------------------------------------

.. automodule:: hyperspy._components.polynomial
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.power_law module
-------------------------------------

.. automodule:: hyperspy._components.power_law
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.rc module
------------------------------

.. automodule:: hyperspy._components.rc
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.scalable_fixed_pattern module
--------------------------------------------------

.. automodule:: hyperspy._components.scalable_fixed_pattern
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.spline module
----------------------------------

.. automodule:: hyperspy._components.spline
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.voigt module
---------------------------------

.. automodule:: hyperspy._components.voigt
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy._components.volume_plasmon_drude module
------------------------------------------------

.. automodule:: hyperspy._components.volume_plasmon_drude
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: hyperspy._components
    :members:
    :undoc-members:
    :show-inheritance:
